GET
  FILE='C:\LIVESTOCK_06\Sources of livestock input.sav'.

WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=mext agroc fscen coop lmkt others item
    DISPLAY=DEFAULT
  /TABLE item [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY mext + agroc + fscen
 + coop + lmkt + others
  /CATEGORIES VARIABLES=mext agroc fscen coop lmkt others [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 1 Distribution of livestock farmers by source and type of'+
 ' input, 2006'.

GET
  FILE='C:\LIVESTOCK_06\Input utilization.sav'.

WEIGHT
  BY rf .

compute check = 0.

if sysmis(qtyp)  qtyp = 0.
if sysmis(lucost)  lucost = 0.
if (sysmis(qtyp) or qtyp = 0) and (sysmis(lucost) or lucost = 0) check = 1. 
if sysmis(qtyp) and sysmis(lucost) and kgqty > 0  kgqty = sysmis(kgqty).
if sysmis(qtyp) and sysmis(kgqty) and lucost > 0  lucost = sysmis(lucost).
if sysmis(lucost) and sysmis(kgqty) and qtyp> 0  qtyp = sysmis(qtyp).
if qtyp = -1 qtyp = sysmis(qtyp).
if kgqty = -1 kgqty = sysmis(kgqty).
execute.

FILTER OFF.
USE ALL.
SELECT IF(check = 0).
EXECUTE .

compute cost = qtyp * lucost.
execute.

GET
  FILE='C:\LIVESTOCK_06\Employment.sav'.

WEIGHT
  BY rf .

if wma > 10 wma = rnd(wma/10).
if wfe > 10 wfe = rnd(wfe/10).
if uma > 10 uma = rnd(uma/10).
if ufe > 10 ufe = rnd(ufe/10).
if ama > 10 ama = rnd(ama/10).
if afe > 10 afe = rnd(afe/10).

compute wtot = sum(wma,wfe).
compute utot = sum(uma,ufe).
compute atot = sum(ama,afe).
compute ptot = sum(pma,pfe).

EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=wtot wma wfe utot uma ufe atot ama afe state
    DISPLAY=DEFAULT
  /TABLE state BY wtot [S][SUM] + wma [S][SUM] + wfe [S][SUM] + utot [S][SUM]
  + uma [S][SUM] + ufe [S][SUM] + atot [S][SUM] + ama [S][SUM] + afe [S][SUM]
  + ptot [S][SUM]  + pma [S][SUM] + pfe [S][SUM] 
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 3 Number of persons engaged in livestock farming by sex,'+
 ' 2006'.

USE ALL.
COMPUTE filter_$=(item = 1).
VARIABLE LABEL filter_$ 'item = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=wtot wma wfe utot uma ufe atot ama afe state
    DISPLAY=DEFAULT
  /TABLE state BY wtot [S][SUM] + wma [S][SUM] + wfe [S][SUM] + utot [S][SUM]
  + uma [S][SUM] + ufe [S][SUM] + atot [S][SUM] + ama [S][SUM] + afe [S][SUM]
  + ptot [S][SUM]  + pma [S][SUM] + pfe [S][SUM] 
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 3a Number of persons engaged in livestock farming by sex,'+
 ' 2006(1st quarter)'.

FILTER OFF.
USE ALL.
EXECUTE .

USE ALL.
COMPUTE filter_$=(item = 2).
VARIABLE LABEL filter_$ 'item = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=wtot wma wfe utot uma ufe atot ama afe state
    DISPLAY=DEFAULT
  /TABLE state BY wtot [S][SUM] + wma [S][SUM] + wfe [S][SUM] + utot [S][SUM]
  + uma [S][SUM] + ufe [S][SUM] + atot [S][SUM] + ama [S][SUM] + afe [S][SUM]
  + ptot [S][SUM]  + pma [S][SUM] + pfe [S][SUM] 
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 3b Number of persons engaged in livestock farming by sex,'+
 ' 2006(2nd quarter)'.

FILTER OFF.
USE ALL.
EXECUTE .

USE ALL.
COMPUTE filter_$=(item = 3).
VARIABLE LABEL filter_$ 'item = 3 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=wtot wma wfe utot uma ufe atot ama afe state
    DISPLAY=DEFAULT
  /TABLE state BY wtot [S][SUM] + wma [S][SUM] + wfe [S][SUM] + utot [S][SUM]
  + uma [S][SUM] + ufe [S][SUM] + atot [S][SUM] + ama [S][SUM] + afe [S][SUM]
  + ptot [S][SUM]  + pma [S][SUM] + pfe [S][SUM] 
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 3c Number of persons engaged in livestock farming by sex,'+
 ' 2006(3rd quarter)'.

FILTER OFF.
USE ALL.
EXECUTE .

USE ALL.
COMPUTE filter_$=(item = 4).
VARIABLE LABEL filter_$ 'item = 4 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=wtot wma wfe utot uma ufe atot ama afe state
    DISPLAY=DEFAULT
  /TABLE state BY wtot [S][SUM] + wma [S][SUM] + wfe [S][SUM] + utot [S][SUM]
  + uma [S][SUM] + ufe [S][SUM] + atot [S][SUM] + ama [S][SUM] + afe [S][SUM]
  + ptot [S][SUM]  + pma [S][SUM] + pfe [S][SUM] 
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 3d Number of persons engaged in livestock farming by sex,'+
 ' 2006(4th quarter)'.

FILTER OFF.
USE ALL.
EXECUTE .

GET
  FILE='C:\LIVESTOCK_06\Changes in stock.sav'.

WEIGHT
  BY rf .

compute balance = sum(inpop, nborn,bought) - sum(slaught, dead, sold).
if balance < 0 check = 1.
execute.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=inpop nborn bought slaught dead sold balance item
    DISPLAY=DEFAULT
  /TABLE item [C] BY inpop [SUM] + nborn [SUM] + bought [SUM] + slaught
  [S][SUM] + dead [S][SUM] + sold [S][SUM] + balance [SUM]
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 4 Stocks and changes in stocks of livestock by type, 2006 '.

GET
  FILE='C:\LIVESTOCK_06\Dairy products.sav'.

WEIGHT
  BY rf .

if qprod > 0 and sysmis(vprod) qprod = sysmis(qprod).
 if vprod > 0 and sysmis(qprod) vprod = sysmis(vprod).
if qprod = 0 and vprod > 0 vprod = 0.
if vprod = 0 and qprod > 0 qprod = 0.

EXEC.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=qprod vprod item DISPLAY=DEFAULT
  /TABLE item [C] BY qprod [S][SUM] + vprod [S][SUM]
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 5 Diary products: quantity and value by type, 2006'.

GET
  FILE='C:\Livestock_06\Sales of Livestock Products.sav'.

WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=val1 val2 val3 val4 item DISPLAY=DEFAULT
  /TABLE item [C] BY val1 [MEAN] + val2 [MEAN] + val3 [MEAN] + val4 [MEAN]
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
   TITLE= 'Table 6 Prices of livestock products by type, 2006'.

GET
  FILE='C:\LIVESTOCK_06\Sources of funds.sav'.

WEIGHT
  BY rf .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=funds amount state DISPLAY=DEFAULT
  /TABLE state BY funds [C] > amount [SUM]
  /CATEGORIES VARIABLES=funds ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 7 Funds committed to livestock farming by source, 2006'.

GET
  FILE='C:\LIVESTOCK_06\Processing facilities.sav'.

WEIGHT
  BY rf .

FILTER OFF.
USE ALL.
SELECT IF(avaq > 0 & ucap > 0).
EXECUTE .


if sysmis(avaq) ucap = avaq.
if avaq < ucap ucap = avaq.
EXEC.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=avaq ucap item DISPLAY=DEFAULT
  /TABLE item [C] BY avaq [S][SUM] + ucap [S][SUM]
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 8 Number of livestock processing facilities by type and'+
 ' capacity,2006'.


GET
  FILE='C:\LIVESTOCK_06\Market channel.sav'.

WEIGHT
  BY rf .

if sysmis(resp) resp = 2.
EXEC.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=resp item DISPLAY=DEFAULT
  /TABLE item [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY resp [C]
  /CATEGORIES VARIABLES=resp [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 9 Distribution of livestock farmers by market channel,'+
 ' 2006'.


GET
  FILE='C:\LIVESTOCK_06\Compare season.sav'.

WEIGHT
  BY rf .

if sysmis(better) better = 2.
if sysmis(same) same = 2.
if sysmis(worst) worst = 2.
if sysmis(dontk) dontk = 2.
EXEC.
* Custom Tables.
CTABLES
  /VLABELS VARIABLES=better same worst dontk item DISPLAY=DEFAULT
  /TABLE item [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY better + same + worst
  + dontk
  /CATEGORIES VARIABLES=better same worst dontk [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 10 Comparison of livestock farming season between 2006 and'+
 ' 2005'.

GET
  FILE='C:\LIVESTOCK_06\Outlook for next season.sav'.

WEIGHT
  BY rf .

if sysmis(better) better = 2.
if sysmis(same) same = 2.
if sysmis(worst) worst = 2.
if sysmis(dontk) dontk = 2.
EXEC.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=better same worst dontk item DISPLAY=DEFAULT
  /TABLE item [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY better + same +
  worst + dontk
  /CATEGORIES VARIABLES=better same worst dontk [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 11 Livestock farmers expectation for 2007 season by factor'+
 ',2006'.

GET
  FILE='C:\LIVESTOCK_06\Problems in Purchasing.sav'.

WEIGHT
  BY rf .

if sysmis(resp) resp = 2.
EXEC.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=item resp state DISPLAY=DEFAULT
  /TABLE state [COUNT F40.0, COLPCT.COUNT PCT40.1] BY item [C] > resp
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=resp [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 12 Distribution of livestock farmers by problems encountered'+
 ' in  purchasing livestock inputs, 2006'.


GET
  FILE='C:\LIVESTOCK_06\Government assistance.sav'.

WEIGHT
  BY rf .

if sysmis(resp) resp = 2.
EXEC.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=resp item DISPLAY=DEFAULT
  /TABLE item [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY resp [C]
  /CATEGORIES VARIABLES=resp [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 13 Distribution of livestock farmers by government'+
 ' assistance required, 2006'.

GET
  FILE='C:\LIVESTOCK_06\Suggestions.sav'.

WEIGHT
  BY rf .

if sysmis(resp) resp = 2.
EXEC.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=resp item DISPLAY=DEFAULT
  /TABLE item [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY resp
  /CATEGORIES VARIABLES=resp [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 14 Distribution of livestock farmers by ways that can'+
 ' improve livestock activities, 2006'.


GET
  FILE='C:\LIVESTOCK_06\Marketing problems.sav'.

WEIGHT
  BY rf .

if sysmis(resp) resp = 2.
EXEC.
* Custom Tables.
CTABLES
  /VLABELS VARIABLES=resp item DISPLAY=DEFAULT
  /TABLE item [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY resp
  /CATEGORIES VARIABLES=resp [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=item ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 15 Distribution of livestock farmers by problems encountered'+
 ' during marketing'.


GET
  FILE='C:\LIVESTOCK_06\Household ID and ICT.sav'.

WEIGHT
  BY rf .

if sysmis(radioa) radioa = 2.
if sysmis(telea) telea = 2.
if sysmis(telfa) telfa = 2.
if sysmis(telma) telma = 2.
if sysmis(pca) pca = 2.
if sysmis(intera) intera = 2.
if sysmis(weba) weba = 2.
if sysmis(radioo) radioo = 2.
if sysmis(teleo) teleo = 2.
if sysmis(telefo) telfo = 2.
if sysmis(telemo) telmo = 2.
if sysmis(pco) pco = 2.
if sysmis(intero) intero = 2.
if sysmis(webo) webo = 2.

EXEC.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=radioa telea telfa telma pca intera weba state
    DISPLAY=DEFAULT
  /TABLE state [COUNT F40.0] BY radioa + telea + telfa
 + telma + pca + intera + weba
  /CATEGORIES VARIABLES=radioa telea telfa telma pca intera weba EMPTY=INCLUDE
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 16a Distribution of livestock farmers by access to any'+
 ' information and communication technology facility'.

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=radioo teleo telefo telemo pco intero webo state
    DISPLAY=DEFAULT
  /TABLE state [COUNT F40.0] BY radioo + teleo + telefo
 + telemo + pco + intero + webo
  /CATEGORIES VARIABLES=radioo teleo telefo telemo pco intero webo EMPTY=INCLUDE
  /CATEGORIES VARIABLES=state ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES
  POSITION=AFTER
  /TITLES
   TITLE= 'Table 16B Distribution of livestock farmers by possession of any'+
 ' information and communication technology facility'.

WEIGHT
  BY rf .
